Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::LampBasicMaterial Class Reference

Lamp基本マテリアル. More...

`#include <LampBasicMaterial.h>`

Inheritance diagram for LampForMaya::LampBasicMaterial:

List of all members.

## Public Member Functions
| LampBasicMaterial ()
| コンストラクタ
virtual | ~LampBasicMaterial ()
| デストラクタ
virtual void | postConstructor ()
| コンストラクタ前処理
virtual MStatus | compute (const MPlug &plug, MDataBlock &dataBlock)
| ソフトウェアレンダリング
virtual bool | hasTransparency ()
| 透明度を持つかどうか
virtual int | normalsPerVertex ()
| 頂点あたりいくつの法線を必要とするか
virtual int | colorsPerVertex ()
| 頂点あたりいくつのカラーを必要とするか
virtual int | texCoordsPerVertex ()
| 頂点あたりいくつのUVを必要とするか
virtual MStatus | glGeometry (const MDagPath &shapePath, int prim, u_int writable, int indexCount, const u_int *indexArray, int vertexCount, const int *vertexIDs, const float *vertexArray, int normalCount, const float **normalArrays, int colorCount, const float **colorArrays, int texCoordCount, const float **texCoordArrays)
| 描画
virtual MObject | getBaseTexture () const
| ベーステクスチャの取得
virtual String | getBaseTextureName () const
| ベーステクスチャ名の取得
virtual int | getBaseUVIndex () const
| ベースUVインデックスの取得
virtual MObject | getGlossTexture () const
| 光沢テクスチャの取得
virtual String | getGlossTextureName () const
| 光沢テクスチャ名の取得
virtual int | getGlossUVIndex () const
| 光沢UVインデックスの取得
virtual MObject | getLightTexture () const
| ライトテクスチャの取得
virtual String | getLightTextureName () const
| ライトテクスチャ名の取得
virtual int | getLightUVIndex () const
| ライトUVインデックスの取得
virtual MObject | getStainTexture () const
| 汚れテクスチャの取得
virtual String | getStainTextureName () const
| 汚れテクスチャ名の取得
virtual int | getStainUVIndex () const
| 汚れUVインデックスの取得
virtual Color3f | getDiffuseColor () const
| ディフューズカラーの取得
virtual Color3f | getSpecularColor () const
| スペキュラカラーの取得
virtual float | getSpecularPower () const
| スペキュラパワーーの取得
virtual bool | isSpecularEnabled () const
| スペキュラが有効か
virtual Color3f | getAmbientColor () const
| アンビエントカラーの取得
virtual Color3f | getEmissiveColor () const
| エミッシブカラーの取得
## Static Public Member Functions
void * | creator ()
| 生成
MStatus | initialize ()
| 初期化
## Static Public Attributes
const MTypeId | id
| 型識別ID

## Detailed Description

Lamp基本マテリアル.

Definition at line 36 of file LampBasicMaterial.h.

## Member Function Documentation

MStatus LampForMaya::LampBasicMaterial::compute | ( | const MPlug & | plug,
|  | MDataBlock & | dataBlock
| ) | `[virtual]`

  | ソフトウェアレンダリング Parameters:
  plug | プラグ
  dataBlock | データブロック
Definition at line 77 of file LampBasicMaterial.cpp. References LampForMaya::LampMaterial::uiShader().

void* LampForMaya::LampBasicMaterial::creator | ( |  | ) | `[inline, static]`

| 生成 unloadPluginを行わないとメモリリークとして検出されます。 Returns: プラグインインスタンス Definition at line 47 of file LampBasicMaterial.h. References LampBasicMaterial().

Color3f LampForMaya::LampBasicMaterial::getAmbientColor | ( |  | ) | const`[virtual]`

| アンビエントカラーの取得 Returns: アンビエントカラー Definition at line 270 of file LampBasicMaterial.cpp. Referenced by glGeometry().

MObject LampForMaya::LampBasicMaterial::getBaseTexture | ( |  | ) | const`[virtual]`

| ベーステクスチャの取得 Returns: ベーステクスチャ Definition at line 195 of file LampBasicMaterial.cpp. Referenced by glGeometry().

String LampForMaya::LampBasicMaterial::getBaseTextureName | ( |  | ) | const`[virtual]`

| ベーステクスチャ名の取得 Returns: ベーステクスチャ名 Definition at line 200 of file LampBasicMaterial.cpp.

int LampForMaya::LampBasicMaterial::getBaseUVIndex | ( |  | ) | const`[virtual]`

| ベースUVインデックスの取得 Returns: ベースUVインデックス Definition at line 205 of file LampBasicMaterial.cpp. Referenced by glGeometry(), and texCoordsPerVertex().

Color3f LampForMaya::LampBasicMaterial::getDiffuseColor | ( |  | ) | const`[virtual]`

| ディフューズカラーの取得 Returns: ディフューズカラー Definition at line 255 of file LampBasicMaterial.cpp. Referenced by glGeometry().

Color3f LampForMaya::LampBasicMaterial::getEmissiveColor | ( |  | ) | const`[virtual]`

| エミッシブカラーの取得 Returns: エミッシブカラー Definition at line 275 of file LampBasicMaterial.cpp. Referenced by glGeometry().

MObject LampForMaya::LampBasicMaterial::getGlossTexture | ( |  | ) | const`[virtual]`

| 光沢テクスチャの取得 Returns: 光沢テクスチャ Definition at line 210 of file LampBasicMaterial.cpp.

String LampForMaya::LampBasicMaterial::getGlossTextureName | ( |  | ) | const`[virtual]`

| 光沢テクスチャ名の取得 Returns: 光沢テクスチャ名 Definition at line 215 of file LampBasicMaterial.cpp.

int LampForMaya::LampBasicMaterial::getGlossUVIndex | ( |  | ) | const`[virtual]`

| 光沢UVインデックスの取得 Returns: 光沢UVインデックス Definition at line 220 of file LampBasicMaterial.cpp.

MObject LampForMaya::LampBasicMaterial::getLightTexture | ( |  | ) | const`[virtual]`

| ライトテクスチャの取得 Returns: ライトテクスチャ Definition at line 225 of file LampBasicMaterial.cpp.

String LampForMaya::LampBasicMaterial::getLightTextureName | ( |  | ) | const`[virtual]`

| ライトテクスチャ名の取得 Returns: ライトテクスチャ名 Definition at line 230 of file LampBasicMaterial.cpp.

int LampForMaya::LampBasicMaterial::getLightUVIndex | ( |  | ) | const`[virtual]`

| ライトUVインデックスの取得 Returns: ライトUVインデックス Definition at line 235 of file LampBasicMaterial.cpp.

Color3f LampForMaya::LampBasicMaterial::getSpecularColor | ( |  | ) | const`[virtual]`

| スペキュラカラーの取得 Returns: スペキュラカラー Definition at line 260 of file LampBasicMaterial.cpp. Referenced by glGeometry(), and isSpecularEnabled().

float LampForMaya::LampBasicMaterial::getSpecularPower | ( |  | ) | const`[virtual]`

| スペキュラパワーーの取得 Returns: スペキュラパワー Definition at line 265 of file LampBasicMaterial.cpp. Referenced by glGeometry().

MObject LampForMaya::LampBasicMaterial::getStainTexture | ( |  | ) | const`[virtual]`

| 汚れテクスチャの取得 Returns: 汚れテクスチャ Definition at line 240 of file LampBasicMaterial.cpp.

String LampForMaya::LampBasicMaterial::getStainTextureName | ( |  | ) | const`[virtual]`

| 汚れテクスチャ名の取得 Returns: 汚れテクスチャ名 Definition at line 245 of file LampBasicMaterial.cpp.

int LampForMaya::LampBasicMaterial::getStainUVIndex | ( |  | ) | const`[virtual]`

| 汚れUVインデックスの取得 Returns: 汚れUVインデックス Definition at line 250 of file LampBasicMaterial.cpp.

MStatus LampForMaya::LampBasicMaterial::glGeometry | ( | const MDagPath & | shapePath,
|  | int | prim,
|  | u_int | writable,
|  | int | indexCount,
|  | const u_int * | indexArray,
|  | int | vertexCount,
|  | const int * | vertexIDs,
|  | const float * | vertexArray,
|  | int | normalCount,
|  | const float ** | normalArrays,
|  | int | colorCount,
|  | const float ** | colorArrays,
|  | int | texCoordCount,
|  | const float ** | texCoordArrays
| ) | `[virtual]`

| 描画 Returns: 成功すればMStatus::kSuccessを返す Definition at line 101 of file LampBasicMaterial.cpp. References LampForMaya::LampMaterial::getAlpha(), getAmbientColor(), getBaseTexture(), getBaseUVIndex(), getDiffuseColor(), getEmissiveColor(), getSpecularColor(), getSpecularPower(), LampForMaya::LampMaterial::materialSetup(), MayaOpenGLCheck, and MayaStatusCheck.

MStatus LampForMaya::LampBasicMaterial::initialize | ( |  | ) | `[static]`

| 初期化 Returns: 成功すればMStatus::kSuccessを返す Definition at line 52 of file LampBasicMaterial.cpp.

virtual bool LampForMaya::LampBasicMaterial::isSpecularEnabled | ( |  | ) | const`[inline, virtual]`

| スペキュラが有効か Returns: スペキュラが有効ならtrue Definition at line 222 of file LampBasicMaterial.h. References getSpecularColor().

The documentation for this class was generated from the following files:

- LampBasicMaterial.h
- LampBasicMaterial.cpp